package com.example.ricca.calcolatriceandroid;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;


public class MainActivity extends ActionBarActivity {

    private Calcolatrice calcolatrice = new Calcolatrice();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    public void onClicB(View v)
    {
        EditText view = (EditText) findViewById(R.id.display);

        Button b = (Button) v;

        String s = (String) b.getText();

        switch (s)
        {
            case "0":
                calcolatrice.premiZero();
                break;
            case "1":
                calcolatrice.premiUno();
                break;
            case "2":
                calcolatrice.premiDue();
                break;
            case "3":
                calcolatrice.premiTre();
                break;
            case "4":
                calcolatrice.premiQuattro();
                break;
            case "5":
                calcolatrice.premiCinque();
                break;
            case "6":
                calcolatrice.premiSei();
                break;
            case "7":
                calcolatrice.premiSette();
                break;
            case "8":
                calcolatrice.premiOtto();
                break;
            case "9":
                calcolatrice.premiNove();
                break;
            case "+":
                calcolatrice.premiSomma();
                break;
            case "-":
                calcolatrice.premiSottrazione();
                break;
            case "*":
                calcolatrice.premiProdotto();
                break;
            case "/":
                calcolatrice.premiDivisione();
                break;
            case "C":
                calcolatrice.premiCancella();
                break;
            case "=":
                calcolatrice.premiUguale();
                break;

        }

        view.setText(""+calcolatrice.dammiDisplay());
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
